﻿* Encoding: UTF-8.
*Syntax for descriptives and correlations given in Table 5
  *Uses "Flow Data All Participants.sav"
  DATASET ACTIVATE DataSet1.
COMPUTE Absorption=Mean(Item2,Item4,Item6).
EXECUTE.

COMPUTE Effortless_Control=Mean(Item15,Item16,Item17).
EXECUTE.

COMPUTE Reward=Mean(Item20,Item21,Item22).
EXECUTE.

COMPUTE Flow_Total=Mean(Item2,Item4,Item6,Item15,Item16,Item17,Item20,Item21,Item22).
EXECUTE.

DESCRIPTIVES VARIABLES= Absorption Effortless_Control Reward Flow_Total
  /STATISTICS=MEAN STDDEV MIN MAX KURTOSIS SKEWNESS.

CORRELATIONS
  /VARIABLES=Absorption Effortless_Control Reward Flow_Total
  /PRINT=TWOTAIL NOSIG LOWER
  /MISSING=PAIRWISE.

*Syntax for reliability analysis
 *Uses "Flow Data All Participants.sav"
 DATASET ACTIVATE DataSet1.
RELIABILITY
  /VARIABLES=Item2 Item4 Item6
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE
  /SUMMARY=TOTAL.

RELIABILITY
  /VARIABLES=Item2 Item4 Item6
  /SCALE('ALL VARIABLES') ALL
  /MODEL=OMEGA
  /STATISTICS=DESCRIPTIVE
  /SUMMARY=TOTAL.

RELIABILITY
  /VARIABLES=Item15 Item16 Item17
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE
  /SUMMARY=TOTAL.

RELIABILITY
  /VARIABLES=Item15 Item16 Item17
  /SCALE('ALL VARIABLES') ALL
  /MODEL=OMEGA
  /STATISTICS=DESCRIPTIVE
  /SUMMARY=TOTAL.

RELIABILITY
  /VARIABLES=Item20 Item21 Item22
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE
  /SUMMARY=TOTAL.

RELIABILITY
  /VARIABLES=Item20 Item21 Item22
  /SCALE('ALL VARIABLES') ALL
  /MODEL=OMEGA
  /STATISTICS=DESCRIPTIVE
  /SUMMARY=TOTAL.

RELIABILITY
  /VARIABLES=Item2 Item4 Item6 Item15 Item16 Item17 Item20 Item21 Item22
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA
  /STATISTICS=DESCRIPTIVE
  /SUMMARY=TOTAL.

RELIABILITY
  /VARIABLES=Item2 Item4 Item6 Item15 Item16 Item17 Item20 Item21 Item22
  /SCALE('ALL VARIABLES') ALL
  /MODEL=OMEGA
  /STATISTICS=DESCRIPTIVE
  /SUMMARY=TOTAL.

*Syntax for correlations in Table 6
 *Uses "Flow Data All Participants for Correlations.sav"
  DATASET ACTIVATE DataSet1.
CORRELATIONS
  /VARIABLES=FlowAvg AbsorptionAvg EffortlessConAvg IntrinsicRewardAvg MentalReadinessAnxiety
  /PRINT=TWOTAIL NOSIG FULL
  /MISSING=PAIRWISE.

CORRELATIONS
  /VARIABLES=FlowAvg AbsorptionAvg EffortlessConAvg IntrinsicRewardAvg SRPerformance
  /PRINT=TWOTAIL NOSIG FULL
  /MISSING=PAIRWISE.

CORRELATIONS
  /VARIABLES=FlowAvg AbsorptionAvg EffortlessConAvg IntrinsicRewardAvg Intensity
  /PRINT=TWOTAIL NOSIG FULL
  /MISSING=PAIRWISE.

CORRELATIONS
  /VARIABLES=FlowAvg AbsorptionAvg EffortlessConAvg IntrinsicRewardAvg Duration
  /PRINT=TWOTAIL NOSIG FULL
  /MISSING=PAIRWISE.

CORRELATIONS
  /VARIABLES=FlowAvg AbsorptionAvg EffortlessConAvg IntrinsicRewardAvg PCTotal
  /PRINT=TWOTAIL NOSIG FULL
  /MISSING=PAIRWISE.

CORRELATIONS
  /VARIABLES=FlowAvg AbsorptionAvg EffortlessConAvg IntrinsicRewardAvg PRTTotal
  /PRINT=TWOTAIL NOSIG FULL
  /MISSING=PAIRWISE.

CORRELATIONS
  /VARIABLES=FlowAvg AbsorptionAvg EffortlessConAvg IntrinsicRewardAvg APTotal
  /PRINT=TWOTAIL NOSIG FULL
  /MISSING=PAIRWISE.

CORRELATIONS
  /VARIABLES=FlowAvg AbsorptionAvg EffortlessConAvg IntrinsicRewardAvg FSSTotal
  /PRINT=TWOTAIL NOSIG FULL
  /MISSING=PAIRWISE.

DESCRIPTIVES VARIABLES=PCTotal PRTTotal SRPerformance FSSTotal APTotal Duration Intensity
  /STATISTICS=MEAN STDDEV MIN MAX.

*Syntax tables in the Supp Materials
*Uses "Flow Data All Participant for Correlations.sav"

CORRELATIONS
  /VARIABLES=MentalReadinessAnxiety PCTotal PRTTotal SRPerformance APTotal FSSTotal Intensity 
    Duration
  /PRINT=TWOTAIL NOSIG LOWER
  /MISSING=PAIRWISE.

CORRELATIONS
  /VARIABLES=FlowAvg APTotal APCUTotal APPETotal APSCTotal APIMTotal ACECTotal APEBTotal APACTotal
  /PRINT=TWOTAIL SIG LOWER
  /MISSING=PAIRWISE.

EXAMINE VARIABLES=FlowAvg AbsorptionAvg EffortlessConAvg IntrinsicRewardAvg BY FlowEntry
  /PLOT BOXPLOT STEMLEAF
  /COMPARE GROUPS
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.
